PXREVCOMP(1)

NAME
pxrevcomp - reverse complement sequences

SYNOPSIS
pxrevcomp [OPTIONS]... [FILE]...

DESCRIPTION
Reverse complement sequences. This will take fasta, fastq, phylip, and nexus formats from a file or STDIN. Results are written in fasta format.

OPTIONS

-s, --seqf=FILE
    input sequence file, STDIN otherwise

-i, --ids=IDS
    a comma sep list of ids to flip (NO SPACES!)

-g, --guess
    EXPERIMENTAL: guess whether there are seqs that need to be rev comp. uses edlib library on first seq

-p, --pguess
    EXPERIMENTAL: progressively guess

-m, --sguess
    EXPERIMENTAL: sampled guess

-o, --outf=FILE
    output sequence file, STOUT otherwise

-h, --help
    display this help and exit

-V, --version
    display version and exit

-C, --citation
    display phyx citation and exit

CITATION
Brown, Joseph W., Joseph F. Walker, and Stephen A. Smith. 2017. Phyx: phylogenetic tools for unix. Bioinformatics 33(12): 1886-1888. https://doi.org/10.1093/bioinformatics/btx063.

AUTHOR
Written by Stephen A. Smith (blackrim)

REPORTING BUGS
Report bugs to: <https://github.com/FePhyFoFum/phyx/issues> phyx home page: <https://github.com/FePhyFoFum/phyx>

COPYRIGHT
Copyright © 2017-2021 FePhyFoFum License GPLv3